aboutsummaryrefslogtreecommitdiff
path: root/scripts/make.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/make.sh')
-rwxr-xr-xscripts/make.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index e2236eac..e0f6d4b3 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -102,9 +102,9 @@ do_loudly()
"$@"
}
-do_loudly $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE main.c lib/*.c \
- $TOYFILES -Wl,--as-needed,-lutil,--no-as-needed || exit 1
-do_loudly $STRIP toybox_unstripped -o toybox || exit 1
+do_loudly ${CROSS_COMPILE}${CC} $CFLAGS -I . -o toybox_unstripped $OPTIMIZE \
+ main.c lib/*.c $TOYFILES -Wl,--as-needed,-lutil,--no-as-needed || exit 1
+do_loudly ${CROSS_COMPILE}${STRIP} toybox_unstripped -o toybox || exit 1
# gcc 4.4's strip command is buggy, and doesn't set the executable bit on
# its output the way SUSv4 suggests it do so.
do_loudly chmod +x toybox || exit 1